#include "Sequencer.h"
#include "PlaybackScreen.h"
#include "colors.h"
#include <iostream>


PlaybackScreen::PlaybackScreen(Sequencer& seq)
    : sequencer(seq)
{
    setColorAll(midi::LaunchpadColor(0, 0));
}

void PlaybackScreen::keyPressed(unsigned char x, unsigned char y)
{
    std::cout << "clicked x=" << (int)x << ", y=" << (int)y << std::endl;

    if(x == 8) {
        setColor(x, y, colors::activeMessage);
        std::shared_ptr<midi::Message> msg_ptr = sequencer.messages[y];
        msg_ptr->print(std::cout);
        sequencer.midiOut.sendMessage(*msg_ptr);
    }
}

void PlaybackScreen::keyReleased(unsigned char x, unsigned char y)
{
    if(x == 8) {
        setColor(x, y, colors::inactiveMessage);
    }
}

